#ifndef MEDIA_CONTROL_H
#define MEDIA_CONTROL_H

int mount_media
(
    struct PARBLK *vblk,  /* I: TAE parameter block */
    int  tape,            /* I: tape flag (1=tape, 0=CD) */
    char oprmsg[][CMLEN], /* I: mount messages */
    long volume,          /* I: volume to mount */
    char *drive,          /* O: drive media was mounted on */
    char *device,         /* O: device media was mounted on */
    int  *mounted         /* O: mounted flag */
);

int unmount_media
(
    struct PARBLK *vblk, /* TAE parameter block */
    char *drive,         /* I: drive to unmount media */
    int  *mounted        /* O: mounted flag */
);

#endif
