#include "las.h"
#include "desc.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX */
#ifdef _IBMR2
#define getbdr_ getbdr
#endif
getbdr_(hname,bddr,band,h_len)

   char *hname;
   struct BDDR *bddr;
   long *band;
   long h_len;
{
long one = 1;
long status;

char *hname_ptr;

hname_ptr = squeeze(hname,h_len);

status = c_getbdr(hname_ptr,bddr,band);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","getbdr-call",&one);

free(hname_ptr);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX */
getbdr(hname,bddr,band)
   struct DESC *hname;
   long *band;
   struct BDDR *bddr;
{
long one = 1;
long status;

char *hname_ptr;
char *squeeze();

hname_ptr = squeeze(hname->addr,hname->length);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","getbdr-call",&one);

status = c_getbdr(hname_ptr,bddr,band);

if (free(hname_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","getbdr-free",&one);

return(status);
}
#endif
