#include "las.h"
#include "desc.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define lused_ lused
#endif
lused_(hostname,hostname_len)

        char *hostname;
        long hostname_len;

{
long one = 1;
long status;
char *hname_ptr;

hname_ptr = squeeze(hostname,hostname_len);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","lused-call",&one);

status = c_lused (hname_ptr);

free(hname_ptr);

return(status);
}
#endif

#ifdef vms

/*  Fortran bridge routine for the VAX  */
lused(hostname)

        struct DESC *hostname;

{
long one = 1;
long status;
char *hname_ptr;

hname_ptr = squeeze(hostname->addr,hostname->length);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","lused-call",&one);

status = c_lused (hname_ptr);

if (free(hname_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","lused-free",&one);

return(status);
}
#endif
