#include "worgen.h"

#ifdef unix
/*  Fortran brigde routine for sun  */
#ifdef _IBMR2
#define pxadd_ pxadd
#endif
FUNCTION pxadd_(ns,in1,in2,out,scale1,scale2,offset,dtype)
long	*ns,	/* number of samples */
	*dtype;	/* data type (EBYTE,EWORD,ELONG,EREAL) */
		/*  EBYTE = unsigned 1 byte  */
		/*  EWORD = signed 2 byte  */
		/*  ELONG = signed 4 byte  */
		/*  EREAL = real data  */

register long	*in1;	/* input array one */
register long	*in2;	/* input array two */
register long	*out;	/* output array */
float	*scale1, /* scale applied to input array one before addition */
	*scale2, /* scale applied to input array two before addition */
	*offset; /* offset added in after sum  */
{
long	status;

status = c_pxadd(ns,in1,in2,out,scale1,scale2,offset,dtype);

return(status);
}
#endif
#ifdef vms
/*  Fortran brigde routine for VAX  */
FUNCTION pxadd(ns,in1,in2,out,scale1,scale2,offset,dtype)
long	*ns,	/* number of samples */
	*dtype;	/* data type (EBYTE,EWORD,ELONG,EREAL) */
		/*  EBYTE = unsigned 1 byte  */
		/*  EWORD = signed 2 byte  */
		/*  ELONG = signed 4 byte  */
		/*  EREAL = real data  */

register long	*in1;	/* input array one */
register long	*in2;	/* input array two */
register long	*out;	/* output array */
float	*scale1, /* scale applied to input array one before addition */
	*scale2, /* scale applied to input array two before addition */
	*offset; /* offset added in after sum  */
{
long	status;

status = c_pxadd(ns,in1,in2,out,scale1,scale2,offset,dtype);

return(status);
}
#endif
