#include "las.h"
#include "util.h"

#ifdef unix
/*  Fortran bridge routines for the UNIX  */
#ifdef _IBMR2
#define bitand_ bitand
#endif
FUNCTION int bitand_(in1,in2)
	 int *in1, *in2;
{
int value;

value = c_bitand(in1,in2);

return(value);
}

#ifdef _IBMR2
#define bitor_ bitor
#endif
FUNCTION int bitor_(in1,in2)
	 int *in1, *in2;
{
int value;

value = c_bitor(in1,in2);

return(value);
}

#ifdef _IBMR2
#define bitxor_ bitxor
#endif
FUNCTION int bitxor_(in1,in2)
	 int *in1, *in2;
{
int value;

value = c_bitxor(in1,in2);

return(value);
}
#endif

#ifdef vms
/*  Fortran bridge routines for the VAX  */
FUNCTION int bitand(in1,in2)
	 int *in1, *in2;
{
int value;

value = c_bitand(in1,in2);

return(value);
}

FUNCTION int bitor(in1,in2)
	 int *in1, *in2;
{
int value;

value = c_bitor(in1,in2);

return(value);
}

FUNCTION int bitxor(in1,in2)
	 int *in1, *in2;
{
int value;

value = c_bitxor(in1,in2);

return(value);
}
#endif
