#include "las.h"
#include "desc.h"
#include "util.h"

#ifdef unix
/* Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define delfil_ delfil
#endif
FUNCTION delfil_(hname,hname_len)
   char *hname;
   long hname_len;
{
char *hname_ptr;

hname_ptr = squeeze(hname,hname_len);

c_delfil(hname_ptr);

free(hname_ptr);

return;
}
#endif

#ifdef vms
/* Fortran bridge routine for the VAX  */
FUNCTION delfil(hname)
   struct DESC *hname;
{
char *hname_ptr;
long nonfatal = 1;

hname_ptr = squeeze(hname->addr,hname->length);

c_delfil(hname_ptr);

if (free(hname_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","delfil-free",&nonfatal);

return;
}
#endif
