#include "desc.h"
#include "las.h"
#include "util.h"

#ifdef unix
/*
*   FORTRAN bridge routine for sun
*/
#ifdef _IBMR2
#define getout_ getout
#endif
FUNCTION getout_(vblock, param, tname, fname, param_len, tname_len, fname_len)
        struct PARBLK *vblock;
 	char *param;
	char *tname;
	char *fname;
	long  param_len;
	long  tname_len;
	long  fname_len;
{
	long  status;
	char  *parptr;

	parptr = squeeze(param,param_len);

	status = c_getout(vblock,parptr,tname,fname);

	free(parptr);

	return(status);
}
#endif

#ifdef vms
/*
*   FORTRAN bridge routine for VAX
*/
FUNCTION getout(vblock,param,tname,fname)
   struct PARBLK *vblock;
   struct DESC   *param;
   struct DESC   *tname;
   struct DESC   *fname;
{
   long  status;
   char  *parptr;
   long  nonfatal = 1;

   parptr = squeeze(param->addr,param->length);
	
   status = c_getout(vblock, parptr, tname->addr, fname->addr);

   if (free(parptr) == -1)
      c_errmsg("Error freeing dynamic memory","getout-free",&nonfatal);

   return(status);
}
#endif
