/******************************************************************************
NAME:	

FUNCTION:

PROGRAM HISTORY:
  Version	Date       Author       Request
  -------	----	   ------       -------
    1.0		12/88	   GSFC		Original development
     5.0        07/90      D. VanderZee Standardized error handling 


PROJECT:	LAS

ALGORITHM:

******************************************************************************/

#include <stdio.h>
#include "las.h"
#include "util.h"
#include "labserv.h"

int c_hsclos
(
   long *fd,            /* I:  file descriptor of input images's history   */
   char hosin[]         /* I:  Input host name                             */
)

{
long	action = 0;
long	stat;
long    nonfatal = 1;
char    inhist[CMLEN];          /* buffer for input history host file name   */

c_lsmknm (hosin, "his", inhist);

stat = c_lsclos (fd, inhist, &action);
if (stat == E_FAIL)   
   c_errmsg("Error returned from lsclos","hsclos-call",&nonfatal);

return (stat);
}

