/******************************************************************************
NAME:	

FUNCTION:

PROGRAM HISTORY:
  Version	Date       Author       Request
  -------	----	   ------       -------
   1.0		12/88	   GSFC		Original Development
     5.0        07/90      D. VanderZee Standardized error handling 


PROJECT:	LAS

ALGORITHM:

******************************************************************************/

#include <stdio.h>
#include "las.h"
#include "util.h"
#include "labserv.h"

long c_hsopen
(
   long *fd,         /* I:  file descriptor of input images's history      */
   char hosin[],     /* I:  input image name                               */
   long *access      /* I:  type of access to input image history file     */
)

{

long 	stat;
long	nonfatal = 1;
char    inhist[CMLEN];          /* buffer for input history host file name   */

c_lsmknm (hosin, "his", inhist);

stat = c_lsopen (fd, inhist, access);
if (stat == E_FAIL)
   c_errmsg ("Error returned from lsopen","hsopen-call",&nonfatal);

return (stat);
}

