#include "tae.h"
#include "worgen.h"
#include "desc.h"
#include "util.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define inittm_ inittm
#endif
#ifdef _IBMR2
#define startm_ startm
#endif
#ifdef _IBMR2
#define stoptm_ stoptm
#endif
inittm_( subject, verb, entity, cat, text, max_entity,
                  max_cat, seconds, flag, subject_len,
                  verb_len, entity_len, cat_len, text_len)
                char    *subject,
                        *verb,
                        *entity,
                        *cat,
                        *text;

                long    *max_entity,
                        *max_cat,
                        *seconds,
                        *flag,
                        subject_len,
                        verb_len,
                        entity_len,
                        cat_len,
                        text_len;
{
char *subj_ptr;
char *verb_ptr;
char *ent_ptr;
char *cat_ptr;
char *text_ptr;

subj_ptr = squeeze(subject,subject_len);
verb_ptr = squeeze(verb,verb_len);
ent_ptr = squeeze(entity,entity_len);
cat_ptr = squeeze(cat,cat_len);
text_ptr = squeeze(text,text_len);

c_inittm(subj_ptr, verb_ptr, ent_ptr, cat_ptr, text_ptr,
	  max_entity, max_cat, seconds, flag);

return;
}
/* Fortran bridge routine for the UNIX  */
startm_()
{
c_startm();

return;
}
/* Fortran bridge routine for the UNIX  */
stoptm_()
{
c_stoptm();

return;
}
#endif
#ifdef vms
/*  Fortran bridge routine for the VAX  */
int inittm
(
    struct DESC *subject,
    struct DESC *verb,
    struct DESC *entity,
    struct DESC *cat,
    struct DESC *text,
    long *max_entity,
    long *max_cat,
    long *seconds,
    long *flag
)
{
char *subj_ptr;
char *verb_ptr;
char *ent_ptr;
char *cat_ptr;
char *text_ptr;

subj_ptr = squeeze(subject->addr,CMLEN);
verb_ptr = squeeze(verb->addr,CMLEN);
ent_ptr = squeeze(entity->addr,CMLEN);
cat_ptr = squeeze(cat->addr,CMLEN);
text_ptr = squeeze(text->addr,CMLEN);

c_inittm(subj_ptr, verb_ptr, ent_ptr, cat_ptr, text_ptr,
	  max_entity, max_cat, seconds, flag);

return;
}




/* Fortran bridge routine for the VAX  */
int startm
(void)
{
c_startm();

return;
}




/* Fortran bridge routine for the VAX  */
int stoptm
(void)
{
c_stoptm();

return;
}
#endif
