#include <stdlib.h>
#include "tae.h"
#include "worgen.h"
#include "desc.h"
#include "util.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define pterm_ pterm
#endif
pterm_(buf,flag,buf_len)
    char *buf;
    long  *flag;
    long  buf_len;
{
char *buf_ptr;

buf_ptr = squeeze(buf,buf_len);

c_pterm(buf_ptr,flag);

free(buf_ptr);

return;
}
#endif
#ifdef vms
/*  Fortran bridge routine for the VAX  */
int pterm
(
    struct DESC *buf,
    long *flag
)
{
char *buf_ptr;
long nonfatal = 1;

buf_ptr = squeeze(buf->addr,buf->length);

c_pterm(buf_ptr,flag);

if (free(buf_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","pterm-free",&nonfatal);

return;
}
#endif
