#include "worgen.h"
#include "desc.h"
#include "util.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define sysset_ sysset
#endif
sysset_(csys,nsys,sysflg)
   char *csys;
   long	*nsys;
   long	*sysflg;
{
return (c_sysset(csys,nsys,sysflg));
}
 
#endif
#ifdef vms
/*  Fortran bridge routine for the VAX  */
int sysset
(
    struct DESC *csys,
    long *nsys,
    long *sysflg
)
{
return (c_sysset(csys->addr,nsys,sysflg));
}
#endif
