#include <stdio.h>

#include "las.h"
#include "desc.h"
#include "util.h"

#define TERM 0
#define LP   1
#define FIL  2

/* 
---------------------------------------------------------------------------
MODIFICATION				DATE		PROGRAMMER
------------				----		----------
Call the new version of PTERM. 		1/12/88 	F.Irani/STX
---------------------------------------------------------------------------- */

void c_txtout 
(
   char  buf[],   /* I:  Text to be written out                     */
   long  print[], /* I:  Print options (FILE, LP, TERM)             */
   FILE  *fp      /* I:  File descriptor for print FILE or LP       */
                  /*     if fp == 0 then no file open               */
)
{
long	zero = 0;		/* zero to be passed to be passed to c_pterm */

if (((print[LP]) || (print[FIL])) && fp != NULL)
   fprintf (fp, "%s\n", buf);
if (print[TERM])
   c_pterm (buf, &zero);
}
