#define SCANFIL	0	/* Index to temporary file array for scan file  */
#define SORTFIL 1	/* Index to temporary file array for sort file  */

#define NULZONE 62      /* GCTP constant signifying null zone   	*/
#define DEGREES 4       /* Degrees                              	*/

#define NORTH 1         /* North Pole                                   */
#define SOUTH -1        /* South Pole                                   */
#define NONE 0          /* No Pole                                      */

#define MINLAT 0
#define MAXLAT 1
#define MINLON 2
#define MAXLON 3

#ifndef MIN
#define MIN(a,b)  ((a) < (b) ? (a) : (b))
#endif
#ifndef MIN4
#define MIN4(a,b,c,d) (MIN(a,b) < MIN(c,d) ? MIN(a,b) : MIN(c,d))
#endif
#ifndef MAX4
#define MAX4(a,b,c,d) (MAX(a,b) > MAX(c,d) ? MAX(a,b) : MAX(c,d))
#endif
