/*****************************************************************************
FUNCTION:	RET_VAL

PURPOSE:	Returns a status to the calling PDF.

Version  Date	Programmer	Modifications
-------  -----	---------------	---------------------------------------------
  1.0    12/97	D.Lloyd		Initial development

COMPUTER HARDWARE AND/OR SOFTWARE LIMITATIONS:
	Run under TAE

PROJECT:	ADAPS
*****************************************************************************/
#include "ingest1b.h"



FUNCTION ret_val( vblock, f_status )

struct	PARBLK	*vblock;	/* IN: pointer to variable block	*/
long		f_status;	/* IN: function status value to return	*/

{
long	iarr[1];		/* pointer to 1-D integer array		*/
long	status;			/* return status			*/

struct	VARIABLE *p_find();	/* function to find a TAE variable	*/
struct	VARIABLE *val;		/* pointer to a TAE variable		*/


/*
  Put the status in the variable block
--------------------------------------*/
iarr[0] = f_status;

if ( q_intg( vblock, "STATUS", 1, iarr, P_UPDATE ) != SUCCESS )
    c_lasmsg(TRUE,"ingest1b-rprm","Error returning parameter to TAE");

if ( q_out( vblock ) != SUCCESS )
    c_lasmsg(TRUE,"ingest1b-rprm","Error returning parameter to TAE");


return E_SUCC;

}
