#include "desc.h"
#include "las.h"
#include "cm.h"

#ifdef unix
/*
*   FORTRAN bridge routine for unix
*/
#ifdef _IBMR2
#define cmhost_ cmhost
#endif
int cmhost_
(
        char *tname,
        char *hname,
        long  tname_len,
        long  hname_len
)
{
long status;
char *tname_ptr;
        
        tname_ptr = squeeze(tname,tname_len);
        status = c_cmhost( tname_ptr, hname);
        free(tname_ptr);
        return(status);
}
#endif


#ifdef vms
/*
*   FORTRAN bridge routine for VAX
*/
int cmhost
(
    struct DESC *tname,
    struct DESC *hname
)
{
long status;
long nonfatal=1;
char *tname_ptr;

        tname_ptr = squeeze(tname->addr,tname->length);
        status = c_cmhost( tname_ptr, hname->addr);
        if (free(tname_ptr) == -1)
           c_errmsg("Error freeing dynamic memory","cmhost-free",&nonfatal);
        return(status);
}
#endif
