#include "desc.h"
#include "las.h"
#include "cm.h"

#ifdef unix
/*
*   FORTRAN bridge routine for unix
*/
#ifdef _IBMR2
#define cmtae_ cmtae
#endif
int cmtae_
(
        char *hname,
        char *tname,
        long  hname_len,
        long  tname_len
)
{
long  status;
char  *hname_ptr;

        hname_ptr = squeeze(hname,hname_len);
        status = c_cmtae(hname_ptr, tname);
        free(hname_ptr);
        return(status);
}
#endif

#ifdef vms
/*
*   FORTRAN bridge routine for VAX
*/
int cmtae
(
    struct DESC *hname,
    struct DESC *tname
)
{
long status;
long nonfatal=1;
char *hname_ptr;

        hname_ptr = squeeze(hname->addr,hname->length);
        status = c_cmtae(hname_ptr, tname->addr);
        if (free(hname_ptr) == -1)
           c_errmsg("Error freeing dynamic memory","cmtae-free",&nonfatal);
        return(status);
}
#endif
