#include "las.h"
#include "desc.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define comsys_ comsys
#endif
comsys_(hostname,flag,hostname_len)

        char *hostname;
        long hostname_len;
	long *flag;
{
long one = 1;
long status;
char *hname_ptr;

hname_ptr = squeeze(hostname,hostname_len);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","comsys-call",&one);

status = c_comsys(hname_ptr,flag);

free(hname_ptr);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX  */
comsys(hostname,flag)

        struct DESC *hostname;
	long *flag;
{
long one = 1;
long status;
char *hname_ptr;
char *squeeze();

hname_ptr = squeeze(hostname->addr,hostname->length);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","comsys-call",&one);

status = c_comsys(hname_ptr,flag);

if (free(hname_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","comsys-free",&one);

return(status);

}
#endif
