#include "las.h"
#include "desc.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX */
#ifdef _IBMR2
#define putbdr_ putbdr
#endif
putbdr_(hname,bddr,h_len)

   char *hname;
   struct BDDR *bddr;
   long h_len;
{
long one = 1;
long status;

char *hname_ptr;

hname_ptr = squeeze(hname,h_len);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","putbdr-call",&one);

status = c_putbdr(hname_ptr,bddr);

free(hname_ptr);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX */
putbdr(hname,bddr)
   struct DESC *hname;
   struct BDDR *bddr;
{
long one = 1;
long status;

char *hname_ptr;

hname_ptr = squeeze(hname->addr,hname->length);
if (hname_ptr == NULL)
   c_errmsg("Error returned from squeeze","putbdr-call",&one);

status = c_putbdr(hname_ptr,bddr);

if (free(hname_ptr) == -1)
   c_errmsg("Error freeing dynamic memory","putbdr-free",&one);

return(status);

}
#endif
