#include "worgen.h"

#ifdef unix
/*  Fortran bridge routine for sun  */
#ifdef _IBMR2
#define pxdiv_ pxdiv
#endif
FUNCTION pxdiv_(ns,in1,in2,out,scale,offset,dtype,errval)
long	*ns,	/* number of samples */
	*dtype;	/* data type (EBYTE,EWORD,ELONG,EREAL) */
			/*  EBYTE = unsigned 1 byte  */
			/*  EWORD = signed 2 byte  */
			/*  ELONG = signed 4 byte  */
			/*  EREAL = real data  */

register long	*in1,	/* input array one */
		*in2,	/* input array two */
		*out,	/* output array */
		*errval; /* value to place in output array
			where divide by zero occurs */
register float	*scale, /* scale applied to input arrays after multiplication */
		*offset; /* offset added in after sum  */
{
long	status;

status = c_pxdiv(ns,in1,in2,out,scale,offset,dtype,errval);

return(status);
}
#endif
#ifdef vms
/*  Fortran bridge routine for VAX  */
FUNCTION pxdiv(ns,in1,in2,out,scale,offset,dtype,errval)
long	*ns,	/* number of samples */
	*dtype;	/* data type (EBYTE,EWORD,ELONG,EREAL) */
			/*  EBYTE = unsigned 1 byte  */
			/*  EWORD = signed 2 byte  */
			/*  ELONG = signed 4 byte  */
			/*  EREAL = real data  */

register long	*in1,	/* input array one */
		*in2,	/* input array two */
		*out,	/* output array */
		*errval; /* value to place in output array
			where divide by zero occurs */
register float	*scale, /* scale applied to input arrays after multiplication */
		*offset; /* offset added in after sum  */
{
long	status;

status = c_pxdiv(ns,in1,in2,out,scale,offset,dtype,errval);

return(status);
}
#endif
