#include "worgen.h"

#ifdef unix
/*  Fortran bridge routine for sun  */
#ifdef _IBMR2
#define pxhist_ pxhist
#endif
FUNCTION pxhist_(ns,bufptr,datatyp,histo,count)
register long   *histo,		/* pointer to a 4 byte histogram array */ 
		*bufptr,	/* 4 byte buffer pointer */
  		*ns,		/* pointer to number of samples in buffer */ 
		*datatyp,	/* pointer to the type of buffer */ 
				/* 1	unsigned byte 
				   2	signed 2 byte 
				   3	signed 4 byte
				   4	real   */
		*count;
{
long	status;		/* return status for routine */

status = c_pxhist(ns,bufptr,datatyp,histo,count);

return(status);
}
#endif
#ifdef vms
/*  Fortran bridge routine for VAX  */
FUNCTION pxhist(ns,bufptr,datatyp,histo,count)
register long   *histo,		/* pointer to a 4 byte histogram array */ 
		*bufptr,	/* 4 byte buffer pointer */
  		*ns,		/* pointer to number of samples in buffer */ 
		*datatyp,	/* pointer to the type of buffer */ 
				/* 1	unsigned byte 
				   2	signed 2 byte 
				   3	signed 4 byte
				   4	real   */
		*count;
{
long	status;		/* return status for routine */

status = c_pxhist(ns,bufptr,datatyp,histo,count);

return(status);
}
#endif
