#include "worgen.h"

#ifdef unix
/*  Fortran bride routine for UNIX  */
#ifdef _IBMR2
#define pxmul_ pxmul
#endif
FUNCTION pxmul_(ns,in1,in2,out,scale,offset,dtype)
long	*ns,	/* number of samples */
	*dtype;	/* data type (EBYTE,EWORD,ELONG,EREAL) */
			/*  EBYTE = unsigned 1 byte  */
			/*  EWORD = signed 2 byte  */
			/*  ELONG = signed 4 byte  */
			/*  EREAL = real data  */

register long	*in1,	/* input array one */
		*in2,	/* input array two */
		*out;	/* output array */
register float	*scale, /* scale applied to input arrays after multiplication */
		*offset; /* offset added in after sum  */
{
long	status;

status = c_pxmul(ns,in1,in2,out,scale,offset,dtype);

return(status);
}
#endif
#ifdef vms
/*  Fortran bride routine for VAX  */
FUNCTION pxmul(ns,in1,in2,out,scale,offset,dtype)
long	*ns,	/* number of samples */
	*dtype;	/* data type (EBYTE,EWORD,ELONG,EREAL) */
			/*  EBYTE = unsigned 1 byte  */
			/*  EWORD = signed 2 byte  */
			/*  ELONG = signed 4 byte  */
			/*  EREAL = real data  */

register long	*in1,	/* input array one */
		*in2,	/* input array two */
		*out;	/* output array */
register float	*scale, /* scale applied to input arrays after multiplication */
		*offset; /* offset added in after sum  */
{
long	status;

status = c_pxmul(ns,in1,in2,out,scale,offset,dtype);

return(status);
}
#endif
