#include "worgen.h"

#ifdef unix
/* Fortran bridge routine for UNIX */
#ifdef _IBMR2
#define pxsub_ pxsub
#endif
FUNCTION pxsub_(ns,in1,in2,out,scale1,scale2,offset,dtype)
long	*ns,	/* number of samples */
	*dtype;	/* data type (EBYTE,EWORD,ELONG,EREAL) */
			/*  EBYTE = unsigned 1 byte  */
			/*  EWORD = signed 2 byte  */
			/*  ELONG = signed 4 byte  */
			/*  EREAL = real data  */

register long	*in1,	/* input array one */
		*in2,	/* input array two */
		*out;	/* output array */
register float	*scale1, /*scale applied to input array one before subtraction*/
		*scale2, /*scale applied to input array two before subtraction*/
		*offset; /* offset added in after difference  */
{
long	status;

status = c_pxsub(ns,in1,in2,out,scale1,scale2,offset,dtype);

return(status);
}
#endif
#ifdef vms
/* Fortran bridge routine for VAX */
FUNCTION pxsub(ns,in1,in2,out,scale1,scale2,offset,dtype)
long	*ns,	/* number of samples */
	*dtype;	/* data type (EBYTE,EWORD,ELONG,EREAL) */
			/*  EBYTE = unsigned 1 byte  */
			/*  EWORD = signed 2 byte  */
			/*  ELONG = signed 4 byte  */
			/*  EREAL = real data  */

register long	*in1,	/* input array one */
		*in2,	/* input array two */
		*out;	/* output array */
register float	*scale1, /*scale applied to input array one before subtraction*/
		*scale2, /*scale applied to input array two before subtraction*/
		*offset; /* offset added in after difference  */
{
long	status;

status = c_pxsub(ns,in1,in2,out,scale1,scale2,offset,dtype);

return(status);
}
#endif
