#include  "desc.h"
#include "las.h"
#include "util.h"

#ifdef unix
/*
*   FORTRAN bridge routine for unix
*/
#ifdef _IBMR2
#define getcnt_ getcnt
#endif
FUNCTION getcnt_(block,param,count,param_len)
struct	PARBLK	*block;
	char	*param;
	long    *count;
	long	param_len;
		
{
long	status;
char    *parptr;

parptr = squeeze(param,param_len);

status = c_getcnt(block,parptr,count);

free(parptr);

return(status);
}
#endif

#ifdef vms
/*
*   FORTRAN bridge routine for VAX
*/
FUNCTION getcnt(block,param,count)
struct	PARBLK	*block;
struct DESC	*param;
	long    *count;
		
{
long	status;
char    *parptr;
long	nonfatal = 1;

parptr = squeeze(param->addr,param->length);

status = c_getcnt(block,parptr,count);

if (free(parptr) == -1)
   c_errmsg("Error freeing dynamic memory","getcnt-free",&nonfatal);

return(status);
}
#endif
