#include "las.h"
#include "desc.h"
#include "util.h"

#ifdef unix
/*  Fortran bridge routine for the UNIX  */
#ifdef _IBMR2
#define setprt_ setprt
#endif
FUNCTION setprt_(vblock,term,file,lp,prtfile,filename)
   struct PARBLK *vblock;
   long	*term;
   long	*file;
   long  *lp;
   char *prtfile;
   char *filename;
{
long status;

status = c_setprt(vblock,term,file,lp,prtfile,filename);

return(status);
}
#endif

#ifdef vms
/*  Fortran bridge routine for the VAX  */
FUNCTION setprt(vblock,term,file,lp,prtfile,filename)
   struct PARBLK *vblock;
   long	*term;
   long	*file;
   long  *lp;
   struct DESC *prtfile;
   struct DESC *filename;
{
long status;

status = c_setprt(vblock,term,file,lp,prtfile->addr,filename->addr);

return(status);
}
#endif
