#include "las.h"
#include "util.h"

void c_abort
(
   struct PARBLK *block,  /* I:  TAE parameter block                   */
   char message[],        /* I:  error message                         */
   char key[],            /* I:  error message key                     */
   char prog_name[],      /* I:  program name                          */
   char files[][CMLEN],   /* I:  files to be deleted                   */
   long *num_files        /* I:  number of files to be deleted         */
)
/*
**************************************************************************
NAME: C_ABORT

FUNCTION: Issue fatal error message, delete files, and abort

PROGRAM HISTORY:
  Version	Date       Author	      Request
  -------	----	   ------             -------
   1          27-JUL-88  K. Narayanan, SAR    

**************************************************************************
*/
{
long	inf_err = 1;

c_errmsg (message, key, &inf_err);
c_clean (block, prog_name, files, num_files);
}
