#include <stdio.h>
#include <string.h>
#include "tae.h"
#include "las.h"
#include "desc.h"
#include "util.h"

void c_getgbl
(
    struct PARBLK *vblock,
    char histry[],
    char minmax[],
    long *msgtim
)
/*
   This routine will get the TAE globals that most programs will need.
*/
{
struct	VARIABLE *var;		/* Pointer into variable block                */

var = p_find (vblock, "$MSGTIM");
*msgtim = IVAL (*var, 0);

var = p_find (vblock, "$HISTRY");
strcpy (histry, SVAL (*var, 0));

var = p_find (vblock, "$MINMAX");
strcpy (minmax, SVAL (*var, 0));
}

/*-----------------------------------------------------------*/
#ifdef vms
/*
   This is the VMS FORTRAN bridge
*/
void getgbl
(
    struct PARBLK *vblock,
    struct DESC *d_histry,
    struct DESC *d_minmax,
    long *msgtim
)
{
c_getgbl (vblock, d_histry->addr, d_minmax->addr, msgtim);
}
#endif
/*-----------------------------------------------------------*/
#ifdef unix
/*
   This is the Unix FORTRAN bridge
*/
#ifdef _IBMR2
#define getgbl_ getgbl
#endif
void getgbl_ (vblock, histry, minmax, msgtim, histrylen, minmaxlen)

struct PARBLK	*vblock;

char	histry[],
	minmax[];

long	*msgtim,
	histrylen,
	minmaxlen;
{
c_getgbl (vblock, histry, minmax, msgtim);
}
#endif
