/************************************************************************
NAME:		C_ISLEAP

PURPOSE:	Test if year given is a leap year.

PROGRAM HISTORY:

VERSION         PROGRAMMER           DATE              COMMENTS
-------         ----------           ----              --------
 2.0            D. Hollaren          2/91              Conversion to C


ALGORITHM DESCRIPTION:

ALGORITHM REFERENCES:

**************************************************************************/
#include <stdio.h>
#include "las.h"
#include "util.h"

int c_isleap
(
   long *year             /* I:  Year to test                           */
)

{

long	leap;		/* Leap year flag	*/
long	lyear;

/****************************************************************
DLLOYD Y2K
  make a local copy of year and convert to 4-digit for the check
*****************************************************************/
lyear = c_4digityr(*year);

if (((lyear % 4) != 0) || (((lyear % 100) == 0) && ((lyear % 400) != 0)))
    leap = FALSE;
else
    leap = TRUE;

return(leap);
}
